# H323_T38NonStandardCapability Class Reference

`#include <h323t38.h>`

Inheritance diagram for H323_T38NonStandardCapability:

List of all members.

## Public Member Functions

Overrides from class PObject
virtual PObject * | Clone () const
Identification functions
virtual PString | GetFormatName () const
Operations
virtual H323Channel * | CreateChannel (H323Connection &connection, H323Channel::Directions dir, unsigned sessionID, const H245_H2250LogicalChannelParameters *param) const

## Detailed Description

This class describes the T.38 non-standard capability.

## Constructor & Destructor Documentation

H323_T38NonStandardCapability::H323_T38NonStandardCapability | ( | BYTE | country = `181`,
|  | BYTE | extension = `0`,
|  | WORD | maufacturer = `18` |
| ) |  |  |

Create a new capability.

Parameters:

  country | t35 information
  extension | t35 information
  maufacturer | t35 information

H323_T38NonStandardCapability::H323_T38NonStandardCapability | ( | BYTE | country = `181`,
|  | BYTE | extension = `0`,
|  | WORD | maufacturer = `18` |
| ) |  |  |

Create a new capability.

Parameters:

  country | t35 information
  extension | t35 information
  maufacturer | t35 information

## Member Function Documentation

virtual PObject* H323_T38NonStandardCapability::Clone | ( |  | ) | const`[virtual]`

Create a copy of the object.

virtual PString H323_T38NonStandardCapability::GetFormatName | ( |  | ) | const`[virtual]`

Get the name of the media data format this class represents.

Implements H323Capability.

virtual H323Channel* H323_T38NonStandardCapability::CreateChannel | ( | H323Connection & | connection,
|  | H323Channel::Directions | dir,
|  | unsigned | sessionID,
|  | const H245_H2250LogicalChannelParameters * | param |
| ) |  |  | const`[virtual]`

Create the channel instance, allocating resources as required.

Parameters:

  connection | Owner connection for channel
  dir | Direction of channel
  sessionID | Session ID for RTP channel
  param | Parameters for channel

Implements H323Capability.

The documentation for this class was generated from the following file:

- h323t38.h